
<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--

    Methods

  -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Methods</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <link rel="stylesheet" href="rdoc-style.css" type="text/css" />
  <base target="docwin" />
</head>
<body>
<div id="index">
  <h1 class="section-bar">Methods</h1>
  <div id="index-entries">
    <a href="classes/AuthenticatedSystem.html#M000048">access_denied (AuthenticatedSystem)</a><br />
    <a href="classes/UsersController.html#M000028">activate (UsersController)</a><br />
    <a href="classes/User.html#M000011">activate (User)</a><br />
    <a href="classes/User.html#M000012">activated? (User)</a><br />
    <a href="classes/UserNotifier.html#M000035">activation (UserNotifier)</a><br />
    <a href="classes/UserObserver.html#M000004">after_create (UserObserver)</a><br />
    <a href="classes/UserObserver.html#M000005">after_save (UserObserver)</a><br />
    <a href="classes/SlingshotSyncController.html#M000031">aggregate_data (SlingshotSyncController)</a><br />
    <a href="classes/ApplicationHelper.html#M000057">all_shows (ApplicationHelper)</a><br />
    <a href="classes/ApplicationHelper.html#M000056">all_songs (ApplicationHelper)</a><br />
    <a href="classes/Song.html#M000038">artist (Song)</a><br />
    <a href="classes/User.html#M000014">authenticate (User)</a><br />
    <a href="classes/User.html#M000017">authenticated? (User)</a><br />
    <a href="classes/AuthenticatedTestHelper.html#M000041">authorize_as (AuthenticatedTestHelper)</a><br />
    <a href="classes/AuthenticatedSystem.html#M000046">authorized? (AuthenticatedSystem)</a><br />
    <a href="classes/ApplicationHelper.html#M000055">class_for_show (ApplicationHelper)</a><br />
    <a href="classes/ApplicationHelper.html#M000054">class_for_song (ApplicationHelper)</a><br />
    <a href="classes/UsersController.html#M000027">create (UsersController)</a><br />
    <a href="classes/SessionsController.html#M000009">create (SessionsController)</a><br />
    <a href="classes/UsagesController.html#M000006">create (UsagesController)</a><br />
    <a href="classes/SongsController.html#M000030">current_model (SongsController)</a><br />
    <a href="classes/ShowsController.html#M000003">current_model (ShowsController)</a><br />
    <a href="classes/AuthenticatedSystem.html#M000044">current_user (AuthenticatedSystem)</a><br />
    <a href="classes/AuthenticatedSystem.html#M000045">current_user= (AuthenticatedSystem)</a><br />
    <a href="classes/UsagesController.html#M000007">destroy (UsagesController)</a><br />
    <a href="classes/SessionsController.html#M000010">destroy (SessionsController)</a><br />
    <a href="classes/SlingshotSyncController.html#M000032">download_file (SlingshotSyncController)</a><br />
    <a href="classes/User.html#M000015">encrypt (User)</a><br />
    <a href="classes/User.html#M000016">encrypt (User)</a><br />
    <a href="classes/User.html#M000023">encrypt_password (User)</a><br />
    <a href="classes/User.html#M000022">forget_me (User)</a><br />
    <a href="classes/ApplicationHelper.html#M000058">in_place_options (ApplicationHelper)</a><br />
    <a href="classes/AuthenticatedSystem.html#M000051">included (AuthenticatedSystem)</a><br />
    <a href="classes/AuthenticatedSystem.html#M000043">logged_in? (AuthenticatedSystem)</a><br />
    <a href="classes/AuthenticatedTestHelper.html#M000040">login_as (AuthenticatedTestHelper)</a><br />
    <a href="classes/AuthenticatedSystem.html#M000052">login_from_cookie (AuthenticatedSystem)</a><br />
    <a href="classes/AuthenticatedSystem.html#M000047">login_required (AuthenticatedSystem)</a><br />
    <a href="classes/ShowsHelper.html#M000053">lyric_slide (ShowsHelper)</a><br />
    <a href="classes/Lyrix/LyricParser.html#M000061">lyrics= (Lyrix::LyricParser)</a><br />
    <a href="classes/User.html#M000025">make_activation_code (User)</a><br />
    <a href="classes/SongsController.html#M000029">new (SongsController)</a><br />
    <a href="classes/ShowsController.html#M000001">new (ShowsController)</a><br />
    <a href="classes/SessionsController.html#M000008">new (SessionsController)</a><br />
    <a href="classes/Lyrix/LyricParser.html#M000060">new (Lyrix::LyricParser)</a><br />
    <a href="classes/UsersController.html#M000026">new (UsersController)</a><br />
    <a href="classes/ApplicationHelper.html#M000059">notice_options (ApplicationHelper)</a><br />
    <a href="classes/AuthenticatedSystem.html#M000042">offline? (AuthenticatedSystem)</a><br />
    <a href="classes/Lyrix/LyricParser.html#M000062">parse (Lyrix::LyricParser)</a><br />
    <a href="classes/Lyrix/LyricParser.html#M000063">parse! (Lyrix::LyricParser)</a><br />
    <a href="classes/User.html#M000024">password_required? (User)</a><br />
    <a href="classes/User.html#M000013">recently_activated? (User)</a><br />
    <a href="classes/AuthenticatedSystem.html#M000050">redirect_back_or_default (AuthenticatedSystem)</a><br />
    <a href="classes/User.html#M000019">remember_me (User)</a><br />
    <a href="classes/User.html#M000020">remember_me_for (User)</a><br />
    <a href="classes/User.html#M000021">remember_me_until (User)</a><br />
    <a href="classes/User.html#M000018">remember_token? (User)</a><br />
    <a href="classes/ShowsController.html#M000002">reorder (ShowsController)</a><br />
    <a href="classes/SlingshotSyncController.html#M000033">require_http_authentication (SlingshotSyncController)</a><br />
    <a href="classes/UserNotifier.html#M000036">setup_email (UserNotifier)</a><br />
    <a href="classes/UserNotifier.html#M000034">signup_notification (UserNotifier)</a><br />
    <a href="classes/Song.html#M000037">slides (Song)</a><br />
    <a href="classes/SongsHelper.html#M000039">slides_for_song (SongsHelper)</a><br />
    <a href="classes/AuthenticatedSystem.html#M000049">store_location (AuthenticatedSystem)</a><br />
    <a href="classes/Lyrix/LyricParser.html#M000064">to_slides (Lyrix::LyricParser)</a><br />
  </div>
</div>
</body>
</html>